package net.wanji.opt.config;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

import java.io.IOException;
import java.text.DecimalFormat;

/**
 * @author duanruiming
 * @date 2024/11/20 19:00
 */
public class DoubleToTwoDecimalPlacesSerializer extends JsonSerializer<Double> {
    private static final DecimalFormat df = new DecimalFormat("#.00");

    @Override
    public void serialize(Double value, JsonGenerator gen, SerializerProvider serializers) throws IOException {
        if (value != null) {
            String formattedValue = df.format(value);
            gen.writeString(formattedValue);
        } else {
            gen.writeNull();
        }
    }
}